Retrieve file details | Moov Documentation

Retrieve file details

Retrieve file details associated with a specific Moov account.

To access this endpoint using an access token you'll need to specify the /accounts/{accountID}/files.read scope.

GET

/accounts/{accountID}/files/{fileID}

Ask

curl -X GET "https://api.moov.io/accounts/{accountID}/files/{fileID}" \
  -H "Authorization: Bearer {token}" \
  -H "X-Moov-Version: v2026.07.00"

Ask

mc, _ := moov.NewClient()

var accountID string
var fileID string

mc.GetFile(ctx, accountID, fileID)

Ask

import { Moov } from "@moovio/sdk";

const moov = new Moov({
  security: {
    username: "",
    password: "",
  },
});

async function run() {
  const result = await moov.files.get({
    accountID: "7f888113-d35a-4536-b9bc-c55076736ab6",
    fileID: "af170db9-0d17-4a9f-ade6-5dd2f1b3412d",
  });

console.log(result);
}

run();

Ask

declare(strict_types=1);

require 'vendor/autoload.php';

use Moov\